
services:
  coturn:
    image: "xivoxc/edge-coturn:${XIVOCC_TAG}.${XIVOCC_DIST}"
    network_mode: "host"
    environment:
    - EDGE_HOST_IP
    - TURN_EXTERNAL_IP
    - TURN_SERVER_SECRET
    - TURN_REALM
    command: ["--listening-ip=${EDGE_HOST_IP}",
              "--external-ip=${TURN_EXTERNAL_IP}",
              "--listening-port=3478",
              "--tls-listening-port=3478",
              "--min-port=30000",
              "--max-port=39999",
              "--use-auth-secret",
              "--static-auth-secret=${TURN_SERVER_SECRET}",
              "--fingerprint",
              "--realm=${TURN_REALM}",
              "--cert=/etc/coturn/ssl/xivo-edge.crt",
              "--pkey=/etc/coturn/ssl/xivo-edge.key",
              "--verbose",
              "--no-cli",
              "--no-software-attribute",
              "--no-multicast-peers",
              "--denied-peer-ip=0.0.0.0-0.255.255.255",
              "--denied-peer-ip=10.0.0.0-10.255.255.255",
              "--denied-peer-ip=100.64.0.0-100.127.255.255",
              "--denied-peer-ip=127.0.0.0-127.255.255.255",
              "--denied-peer-ip=169.254.0.0-169.254.255.255",
              "--denied-peer-ip=172.16.0.0-172.31.255.255",
              "--denied-peer-ip=192.0.0.0-192.0.0.255",
              "--denied-peer-ip=192.0.2.0-192.0.2.255",
              "--denied-peer-ip=192.88.99.0-192.88.99.255",
              "--denied-peer-ip=192.168.0.0-192.168.255.255",
              "--denied-peer-ip=198.18.0.0-198.19.255.255",
              "--denied-peer-ip=198.51.100.0-198.51.100.255",
              "--denied-peer-ip=203.0.113.0-203.0.113.255",
              "--denied-peer-ip=240.0.0.0-255.255.255.255",
              "${TURN_ALLOWED_PEERS}",
              "--no-tlsv1",
              "--no-tlsv1_1"]
    volumes:
    - /etc/docker/ssl:/etc/coturn/ssl/
    logging:
      driver: json-file
      options:
        max-size: "40m"
        max-file: "5"
    restart: always
